### Hierarchy

- Object
  - Moment

## Index

### Properties

- Object
- constructor
- should

### Methods

- add
- calendar
- clone
- creationData
- date
- dates
- day
- dayOfYear
- days
- daysInMonth
- diff
- endOf
- format
- from
- fromNow
- get
- hasAlignedHourOffset
- hasOwnProperty
- hour
- hours
- inspect
- invalidAt
- isAfter
- isBefore
- isBetween
- isDST
- isDSTShifted
- isLeapYear
- isLocal
- isPrototypeOf
- isSame
- isSameOrAfter
- isSameOrBefore
- isUTC
- isUtc
- isUtcOffset
- isValid
- isoWeek
- isoWeekYear
- isoWeekday
- isoWeeks
- isoWeeksInYear
- lang
- local
- locale
- localeData
- max
- millisecond
- milliseconds
- min
- minute
- minutes
- month
- months
- parseZone
- parsingFlags
- propertyIsEnumerable
- quarter
- quarters
- second
- seconds
- set
- startOf
- subtract
- to
- toArray
- toDate
- toISOString
- toJSON
- toLocaleString
- toNow
- toObject
- toString
- unix
- utc
- utcOffset
- valueOf
- week
- weekYear
- weekday
- weeks
- weeksInYear
- year
- years
- zone
- zoneAbbr
- zoneName

## Properties

### Object

Object: ObjectConstructor

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:267

Provides functionality common to all JavaScript objects.

### constructor

constructor: Function

Inherited from Object.constructor

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:122

The initial value of Object.prototype.constructor is the standard built-in Object constructor.

### should

should: Assertion

Inherited from Object.should

- Defined in node_modules/@types/chai/index.d.ts:1707

## Methods

### add

- add(amount?: DurationInputArg1, unit?: DurationInputArg2): Moment
- add(unit: DurationConstructor, amount: number | string): Moment

- - Defined in node_modules/moment/moment.d.ts:421

  #### Parameters

  - ##### Optional amount: DurationInputArg1

  - ##### Optional unit: DurationInputArg2

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:425
  deprecated

    reverse syntax

  #### Parameters

  - ##### unit: DurationConstructor

  - ##### amount: number | string

  #### Returns Moment

### calendar

- calendar(time?: MomentInput, formats?: CalendarSpec): string

- - Defined in node_modules/moment/moment.d.ts:433

  #### Parameters

  - ##### Optional time: MomentInput

  - ##### Optional formats: CalendarSpec

  #### Returns string

### clone

- clone(): Moment

- - Defined in node_modules/moment/moment.d.ts:435

  #### Returns Moment

### creationData

- creationData(): MomentCreationData

- - Defined in node_modules/moment/moment.d.ts:460

  #### Returns MomentCreationData

### date

- date(d: number): Moment
- date(): number

- - Defined in node_modules/moment/moment.d.ts:491

  #### Parameters

  - ##### d: number

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:492

  #### Returns number

### dates

- dates(d: number): Moment
- dates(): number

- - Defined in node_modules/moment/moment.d.ts:496
  deprecated

    use date(d)

  #### Parameters

  - ##### d: number

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:500
  deprecated

    use date()

  #### Returns number

### day

- day(d: number | string): Moment
- day(): number

- - Defined in node_modules/moment/moment.d.ts:487

  #### Parameters

  - ##### d: number | string

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:488

  #### Returns number

### dayOfYear

- dayOfYear(): number
- dayOfYear(d: number): Moment

- - Defined in node_modules/moment/moment.d.ts:535

  #### Returns number

- - Defined in node_modules/moment/moment.d.ts:536

  #### Parameters

  - ##### d: number

  #### Returns Moment

### days

- days(d: number | string): Moment
- days(): number

- - Defined in node_modules/moment/moment.d.ts:489

  #### Parameters

  - ##### d: number | string

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:490

  #### Returns number

### daysInMonth

- daysInMonth(): number

- - Defined in node_modules/moment/moment.d.ts:561

  #### Returns number

### diff

- diff(b: MomentInput, unitOfTime?: Diff, precise?: undefined | false | true): number

- - Defined in node_modules/moment/moment.d.ts:543

  #### Parameters

  - ##### b: MomentInput

  - ##### Optional unitOfTime: Diff

  - ##### Optional precise: undefined | false | true

  #### Returns number

### endOf

- endOf(unitOfTime: StartOf): Moment

- - Defined in node_modules/moment/moment.d.ts:419

  #### Parameters

  - ##### unitOfTime: StartOf

  #### Returns Moment

### format

- format(format?: undefined | string): string

- - Defined in node_modules/moment/moment.d.ts:416

  #### Parameters

  - ##### Optional format: undefined | string

  #### Returns string

### from

- from(inp: MomentInput, suffix?: undefined | false | true): string

- - Defined in node_modules/moment/moment.d.ts:538

  #### Parameters

  - ##### inp: MomentInput

  - ##### Optional suffix: undefined | false | true

  #### Returns string

### fromNow

- fromNow(withoutSuffix?: undefined | false | true): string

- - Defined in node_modules/moment/moment.d.ts:540

  #### Parameters

  - ##### Optional withoutSuffix: undefined | false | true

  #### Returns string

### get

- get(unit: All): number

- - Defined in node_modules/moment/moment.d.ts:613

  #### Parameters

  - ##### unit: All

  #### Returns number

### hasAlignedHourOffset

- hasAlignedHourOffset(other?: MomentInput): boolean

- - Defined in node_modules/moment/moment.d.ts:458

  #### Parameters

  - ##### Optional other: MomentInput

  #### Returns boolean

### hasOwnProperty

- hasOwnProperty(v: PropertyKey): boolean

- Inherited from Object.hasOwnProperty

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:137

  Determines whether an object has a property with the specified name.

  #### Parameters

  - ##### v: PropertyKey

    A property name.

  #### Returns boolean

### hour

- hour(h: number): Moment
- hour(): number

- - Defined in node_modules/moment/moment.d.ts:501

  #### Parameters

  - ##### h: number

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:502

  #### Returns number

### hours

- hours(h: number): Moment
- hours(): number

- - Defined in node_modules/moment/moment.d.ts:503

  #### Parameters

  - ##### h: number

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:504

  #### Returns number

### inspect

- inspect(): string

- - Defined in node_modules/moment/moment.d.ts:548

  #### Returns string

### invalidAt

- invalidAt(): number

- - Defined in node_modules/moment/moment.d.ts:456

  #### Returns number

### isAfter

- isAfter(inp?: MomentInput, granularity?: StartOf): boolean

- - Defined in node_modules/moment/moment.d.ts:568

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional granularity: StartOf

  #### Returns boolean

### isBefore

- isBefore(inp?: MomentInput, granularity?: StartOf): boolean

- - Defined in node_modules/moment/moment.d.ts:567

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional granularity: StartOf

  #### Returns boolean

### isBetween

- isBetween(a: MomentInput, b: MomentInput, granularity?: StartOf, inclusivity?: "()" | "[)" | "(]" | "[]"): boolean

- - Defined in node_modules/moment/moment.d.ts:572

  #### Parameters

  - ##### a: MomentInput

  - ##### b: MomentInput

  - ##### Optional granularity: StartOf

  - ##### Optional inclusivity: "()" | "[)" | "(]" | "[]"

  #### Returns boolean

### isDST

- isDST(): boolean

- - Defined in node_modules/moment/moment.d.ts:562

  #### Returns boolean

### isDSTShifted

- isDSTShifted(): boolean

- - Defined in node_modules/moment/moment.d.ts:591
  deprecated

    no reliable implementation

  #### Returns boolean

### isLeapYear

- isLeapYear(): boolean

- - Defined in node_modules/moment/moment.d.ts:552

  #### Returns boolean

### isLocal

- isLocal(): boolean

- - Defined in node_modules/moment/moment.d.ts:444

  #### Returns boolean

### isPrototypeOf

- isPrototypeOf(v: Object): boolean

- Inherited from Object.isPrototypeOf

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:143

  Determines whether an object exists in another object's prototype chain.

  #### Parameters

  - ##### v: Object

    Another object whose prototype chain is to be checked.

  #### Returns boolean

### isSame

- isSame(inp?: MomentInput, granularity?: StartOf): boolean

- - Defined in node_modules/moment/moment.d.ts:569

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional granularity: StartOf

  #### Returns boolean

### isSameOrAfter

- isSameOrAfter(inp?: MomentInput, granularity?: StartOf): boolean

- - Defined in node_modules/moment/moment.d.ts:570

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional granularity: StartOf

  #### Returns boolean

### isSameOrBefore

- isSameOrBefore(inp?: MomentInput, granularity?: StartOf): boolean

- - Defined in node_modules/moment/moment.d.ts:571

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional granularity: StartOf

  #### Returns boolean

### isUTC

- isUTC(): boolean

- - Defined in node_modules/moment/moment.d.ts:448

  #### Returns boolean

### isUtc

- isUtc(): boolean

- - Defined in node_modules/moment/moment.d.ts:452
  deprecated

    use isUTC

  #### Returns boolean

### isUtcOffset

- isUtcOffset(): boolean

- - Defined in node_modules/moment/moment.d.ts:560

  #### Returns boolean

### isValid

- isValid(): boolean

- - Defined in node_modules/moment/moment.d.ts:455

  #### Returns boolean

### isoWeek

- isoWeek(): number
- isoWeek(d: number): Moment

- - Defined in node_modules/moment/moment.d.ts:529

  #### Returns number

- - Defined in node_modules/moment/moment.d.ts:530

  #### Parameters

  - ##### d: number

  #### Returns Moment

### isoWeekYear

- isoWeekYear(): number
- isoWeekYear(d: number): Moment

- - Defined in node_modules/moment/moment.d.ts:523

  #### Returns number

- - Defined in node_modules/moment/moment.d.ts:524

  #### Parameters

  - ##### d: number

  #### Returns Moment

### isoWeekday

- isoWeekday(): number
- isoWeekday(d: number | string): Moment

- - Defined in node_modules/moment/moment.d.ts:519

  #### Returns number

- - Defined in node_modules/moment/moment.d.ts:520

  #### Parameters

  - ##### d: number | string

  #### Returns Moment

### isoWeeks

- isoWeeks(): number
- isoWeeks(d: number): Moment

- - Defined in node_modules/moment/moment.d.ts:531

  #### Returns number

- - Defined in node_modules/moment/moment.d.ts:532

  #### Parameters

  - ##### d: number

  #### Returns Moment

### isoWeeksInYear

- isoWeeksInYear(): number

- - Defined in node_modules/moment/moment.d.ts:534

  #### Returns number

### lang

- lang(language: LocaleSpecifier): Moment
- lang(): Locale

- - Defined in node_modules/moment/moment.d.ts:577
  deprecated

    as of 2.8.0, use locale

  #### Parameters

  - ##### language: LocaleSpecifier

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:581
  deprecated

    as of 2.8.0, use locale

  #### Returns Locale

### local

- local(keepLocalTime?: undefined | false | true): Moment

- - Defined in node_modules/moment/moment.d.ts:443

  #### Parameters

  - ##### Optional keepLocalTime: undefined | false | true

  #### Returns Moment

### locale

- locale(): string
- locale(locale: LocaleSpecifier): Moment

- - Defined in node_modules/moment/moment.d.ts:583

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:584

  #### Parameters

  - ##### locale: LocaleSpecifier

  #### Returns Moment

### localeData

- localeData(): Locale

- - Defined in node_modules/moment/moment.d.ts:586

  #### Returns Locale

### max

- max(inp?: MomentInput, format?: MomentFormatSpecification, strict?: undefined | false | true): Moment
- max(inp?: MomentInput, format?: MomentFormatSpecification, language?: undefined | string, strict?: undefined | false | true): Moment

- - Defined in node_modules/moment/moment.d.ts:597
  deprecated

    as of 2.7.0, use moment.min/max

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional format: MomentFormatSpecification

  - ##### Optional strict: undefined | false | true

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:601
  deprecated

    as of 2.7.0, use moment.min/max

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional format: MomentFormatSpecification

  - ##### Optional language: undefined | string

  - ##### Optional strict: undefined | false | true

  #### Returns Moment

### millisecond

- millisecond(ms: number): Moment
- millisecond(): number

- - Defined in node_modules/moment/moment.d.ts:513

  #### Parameters

  - ##### ms: number

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:514

  #### Returns number

### milliseconds

- milliseconds(ms: number): Moment
- milliseconds(): number

- - Defined in node_modules/moment/moment.d.ts:515

  #### Parameters

  - ##### ms: number

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:516

  #### Returns number

### min

- min(inp?: MomentInput, format?: MomentFormatSpecification, strict?: undefined | false | true): Moment
- min(inp?: MomentInput, format?: MomentFormatSpecification, language?: undefined | string, strict?: undefined | false | true): Moment

- - Defined in node_modules/moment/moment.d.ts:607
  deprecated

    as of 2.7.0, use moment.min/max

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional format: MomentFormatSpecification

  - ##### Optional strict: undefined | false | true

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:611
  deprecated

    as of 2.7.0, use moment.min/max

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional format: MomentFormatSpecification

  - ##### Optional language: undefined | string

  - ##### Optional strict: undefined | false | true

  #### Returns Moment

### minute

- minute(m: number): Moment
- minute(): number

- - Defined in node_modules/moment/moment.d.ts:505

  #### Parameters

  - ##### m: number

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:506

  #### Returns number

### minutes

- minutes(m: number): Moment
- minutes(): number

- - Defined in node_modules/moment/moment.d.ts:507

  #### Parameters

  - ##### m: number

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:508

  #### Returns number

### month

- month(M: number | string): Moment
- month(): number

- - Defined in node_modules/moment/moment.d.ts:477

  #### Parameters

  - ##### M: number | string

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:478

  #### Returns number

### months

- months(M: number | string): Moment
- months(): number

- - Defined in node_modules/moment/moment.d.ts:482
  deprecated

    use month(M)

  #### Parameters

  - ##### M: number | string

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:486
  deprecated

    use month()

  #### Returns number

### parseZone

- parseZone(): Moment

- - Defined in node_modules/moment/moment.d.ts:454

  #### Returns Moment

### parsingFlags

- parsingFlags(): MomentParsingFlags

- - Defined in node_modules/moment/moment.d.ts:461

  #### Returns MomentParsingFlags

### propertyIsEnumerable

- propertyIsEnumerable(v: PropertyKey): boolean

- Inherited from Object.propertyIsEnumerable

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:149

  Determines whether a specified property is enumerable.

  #### Parameters

  - ##### v: PropertyKey

    A property name.

  #### Returns boolean

### quarter

- quarter(): number
- quarter(q: number): Moment

- - Defined in node_modules/moment/moment.d.ts:473

  #### Returns number

- - Defined in node_modules/moment/moment.d.ts:474

  #### Parameters

  - ##### q: number

  #### Returns Moment

### quarters

- quarters(): number
- quarters(q: number): Moment

- - Defined in node_modules/moment/moment.d.ts:475

  #### Returns number

- - Defined in node_modules/moment/moment.d.ts:476

  #### Parameters

  - ##### q: number

  #### Returns Moment

### second

- second(s: number): Moment
- second(): number

- - Defined in node_modules/moment/moment.d.ts:509

  #### Parameters

  - ##### s: number

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:510

  #### Returns number

### seconds

- seconds(s: number): Moment
- seconds(): number

- - Defined in node_modules/moment/moment.d.ts:511

  #### Parameters

  - ##### s: number

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:512

  #### Returns number

### set

- set(unit: All, value: number): Moment
- set(objectLiteral: MomentSetObject): Moment

- - Defined in node_modules/moment/moment.d.ts:614

  #### Parameters

  - ##### unit: All

  - ##### value: number

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:615

  #### Parameters

  - ##### objectLiteral: MomentSetObject

  #### Returns Moment

### startOf

- startOf(unitOfTime: StartOf): Moment

- - Defined in node_modules/moment/moment.d.ts:418

  #### Parameters

  - ##### unitOfTime: StartOf

  #### Returns Moment

### subtract

- subtract(amount?: DurationInputArg1, unit?: DurationInputArg2): Moment
- subtract(unit: DurationConstructor, amount: number | string): Moment

- - Defined in node_modules/moment/moment.d.ts:427

  #### Parameters

  - ##### Optional amount: DurationInputArg1

  - ##### Optional unit: DurationInputArg2

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:431
  deprecated

    reverse syntax

  #### Parameters

  - ##### unit: DurationConstructor

  - ##### amount: number | string

  #### Returns Moment

### to

- to(inp: MomentInput, suffix?: undefined | false | true): string

- - Defined in node_modules/moment/moment.d.ts:539

  #### Parameters

  - ##### inp: MomentInput

  - ##### Optional suffix: undefined | false | true

  #### Returns string

### toArray

- toArray(): number[]

- - Defined in node_modules/moment/moment.d.ts:545

  #### Returns number[]

### toDate

- toDate(): Date

- - Defined in node_modules/moment/moment.d.ts:546

  #### Returns Date

### toISOString

- toISOString(keepOffset?: undefined | false | true): string

- - Defined in node_modules/moment/moment.d.ts:547

  #### Parameters

  - ##### Optional keepOffset: undefined | false | true

  #### Returns string

### toJSON

- toJSON(): string

- - Defined in node_modules/moment/moment.d.ts:549

  #### Returns string

### toLocaleString

- toLocaleString(): string

- Inherited from Object.toLocaleString

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:128

  Returns a date converted to a string using the current locale.

  #### Returns string

### toNow

- toNow(withoutPrefix?: undefined | false | true): string

- - Defined in node_modules/moment/moment.d.ts:541

  #### Parameters

  - ##### Optional withoutPrefix: undefined | false | true

  #### Returns string

### toObject

- toObject(): MomentObjectOutput

- - Defined in node_modules/moment/moment.d.ts:617

  #### Returns MomentObjectOutput

### toString

- toString(): string

- Inherited from Object.toString

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:125

  Returns a string representation of an object.

  #### Returns string

### unix

- unix(): number

- - Defined in node_modules/moment/moment.d.ts:550

  #### Returns number

### utc

- utc(keepLocalTime?: undefined | false | true): Moment

- - Defined in node_modules/moment/moment.d.ts:447

  #### Parameters

  - ##### Optional keepLocalTime: undefined | false | true

  #### Returns Moment

### utcOffset

- utcOffset(): number
- utcOffset(b: number | string, keepLocalTime?: undefined | false | true): Moment

- - Defined in node_modules/moment/moment.d.ts:558

  #### Returns number

- - Defined in node_modules/moment/moment.d.ts:559

  #### Parameters

  - ##### b: number | string

  - ##### Optional keepLocalTime: undefined | false | true

  #### Returns Moment

### valueOf

- valueOf(): number

- Overrides Object.valueOf

  - Defined in node_modules/moment/moment.d.ts:440

  #### Returns number

  Unix timestamp in milliseconds

### week

- week(): number
- week(d: number): Moment

- - Defined in node_modules/moment/moment.d.ts:525

  #### Returns number

- - Defined in node_modules/moment/moment.d.ts:526

  #### Parameters

  - ##### d: number

  #### Returns Moment

### weekYear

- weekYear(): number
- weekYear(d: number): Moment

- - Defined in node_modules/moment/moment.d.ts:521

  #### Returns number

- - Defined in node_modules/moment/moment.d.ts:522

  #### Parameters

  - ##### d: number

  #### Returns Moment

### weekday

- weekday(): number
- weekday(d: number): Moment

- - Defined in node_modules/moment/moment.d.ts:517

  #### Returns number

- - Defined in node_modules/moment/moment.d.ts:518

  #### Parameters

  - ##### d: number

  #### Returns Moment

### weeks

- weeks(): number
- weeks(d: number): Moment

- - Defined in node_modules/moment/moment.d.ts:527

  #### Returns number

- - Defined in node_modules/moment/moment.d.ts:528

  #### Parameters

  - ##### d: number

  #### Returns Moment

### weeksInYear

- weeksInYear(): number

- - Defined in node_modules/moment/moment.d.ts:533

  #### Returns number

### year

- year(y: number): Moment
- year(): number

- - Defined in node_modules/moment/moment.d.ts:463

  #### Parameters

  - ##### y: number

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:464

  #### Returns number

### years

- years(y: number): Moment
- years(): number

- - Defined in node_modules/moment/moment.d.ts:468
  deprecated

    use year(y)

  #### Parameters

  - ##### y: number

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:472
  deprecated

    use year()

  #### Returns number

### zone

- zone(): number
- zone(b: number | string): Moment

- - Defined in node_modules/moment/moment.d.ts:556
  deprecated

    in favor of utcOffset

  #### Returns number

- - Defined in node_modules/moment/moment.d.ts:557

  #### Parameters

  - ##### b: number | string

  #### Returns Moment

### zoneAbbr

- zoneAbbr(): string

- - Defined in node_modules/moment/moment.d.ts:564

  #### Returns string

### zoneName

- zoneName(): string

- - Defined in node_modules/moment/moment.d.ts:565

  #### Returns string

Generated using TypeDoc